Home / Lua API Manual / types / lua_box
< hint_t
lua_button >

# lua_box

`dt_type`

A container for widget in a horizontal or vertical list

Attributes:

- has_tostring
- parent : types.lua_widget

# 🔗lua_box.__call

see types.lua_widget.As a function

# 🔗lua_box.extra registration parameters

This widget has no extra registration parameters

# 🔗lua_box.orientation

types.dt_lua_orientation_t

The orientation of the box.

Attributes:

- write

< hint_t
lua_button >